[Openvas-discuss] Installing on Ubuntu 12.04 - openvas.org instructions flawed?

William Scott Lockwood III vladinator at gmail.com
Sun Jun 17 21:02:22 CEST 2012


On Sun, Jun 17, 2012 at 1:53 PM, Whit Blauvelt <whit at transpect.com> wrote:
> The debs from the 11.04 directory seem to work, although it does require
> installing libmicrohttpd and libopenvas5, also missing from the instructions
> on the web page. Anyway, this worked:
>
> dpkg -i greenbone-security-assistant_3.0.1-1_amd64.deb gsd_1.2.2-1_amd64.deb \
> openvas-cli_1.1.4-1_amd64.deb openvas-manager_3.0.1-1_amd64.deb \
> openvas-scanner_3.3.1-1_amd64.deb openvas-administrator_1.2.0-1_amd64.deb \
> libmicrohttpd10_0.9.19-1_amd64.deb libopenvas5_5.0.1-1_amd64.deb
>
> Now to see if the rest of the instructions are more reliable....
>
> (Not to knock the tremendous effort in putting this all together. Just
> providing testing results for the documentation and provisioning team, since
> obviously they didn't have time to test this themselves.)
>
> Whit
>
> On Sun, Jun 17, 2012 at 02:42:35PM -0400, Whit Blauvelt wrote:
>> On Sun, Jun 17, 2012 at 02:28:13PM -0400, Whit Blauvelt wrote:
>>
>> > Now going to opensuse.org I see:
>> >
>> > http://download.opensuse.org/repositories/security:/OpenVAS:/UNSTABLE:/v5/xUbuntu_12.04/
>> >
>> > with the files there.
>>
>> Well, not all. There's no openvas-administrator or openvas-manager
>>
>> Not including debug variants, I see:
>>
>>  greenbone-security-assistant_3.0.1-1_amd64.deb
>>  gsd_1.2.2-1_amd64.deb
>>  libmicrohttpd-dev_0.9.19-1_amd64.deb
>>  libmicrohttpd10_0.9.19-1_amd64.deb
>>  libopenvas5-dev_5.0.1-1_amd64.deb
>>  libopenvas5_5.0.1-1_amd64.deb
>>  openvas-cli_1.1.4-1_amd64.deb
>>  openvas-scanner_3.3.1-1_amd64.deb
>>
>> So for the suggested:
>>
>>  apt-get -y install greenbone-security-assistant gsd openvas-cli openvas-manager openvas-scanner openvas-administrator ...
>>
>> No wonder that fails. Either those are repackaged (in libopenvas?) or just
>> missing. For Ubuntu 11.04 those files exist. Should those work on 12.04?
>>
>> Whit

I installed BackTrack. Problem solved.

-- 
Regards,
W. Scott Lockwood



More information about the Openvas-discuss mailing list